package sk.telepovsky.android.tutorials;

import sk.telepovsky.android.tutorials.components.DialogCustom;

import android.app.Activity;
import android.content.Context;
import android.content.DialogInterface;
import android.graphics.Typeface;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.TextView;

public class MainActivity extends Activity implements OnClickListener, DialogInterface.OnClickListener {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
	super.onCreate(savedInstanceState);
	setContentView(R.layout.main);

	TextView tv_title = (TextView) findViewById(R.id.tv_title);
	Typeface font = Typeface.createFromAsset(getAssets(), "Continuum.ttf");
	tv_title.setTypeface(font);
	
	showDialog(this, getString(R.string.dialog_title), getString(R.string.dialog_message_like), getString(R.string.sure), getString(R.string.yes), this, R.drawable.np_dialog);
	
	findViewById(R.id.btn_press_me).setOnClickListener(this);
    }

    private void showDialog(Context context, String title, String message, String positiveButton, String negativeButton, DialogInterface.OnClickListener listener, int backgroundResource) {

	DialogCustom.Builder customBuilder = new DialogCustom.Builder(context);

	customBuilder.setTitle(title).setMessage(message).setBackgroundResource(backgroundResource);

	if (positiveButton != null)
	    customBuilder.setPositiveButton(positiveButton, listener);

	if (negativeButton != null)
	    customBuilder.setNegativeButton(negativeButton, listener);

	customBuilder.show();
    }

    @Override
    public void onClick(View view) {
	showDialog(this, getString(R.string.dialog_title), getString(R.string.dialog_message_back), null, null, this, R.drawable.np_dialog);
    }

    @Override
    public void onClick(DialogInterface dialog, int which) {
	dialog.dismiss();
    }
}