package sk.telepovsky.android.tutorials.components;

import sk.telepovsky.android.tutorials.R;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Typeface;
import android.util.AttributeSet;
import android.util.Log;
import android.widget.Button;


public class ButtonCustom extends Button {
    private static final String TAG = "Button";

    public ButtonCustom(Context context) {
	super(context);
    }

    public ButtonCustom(Context context, AttributeSet attrs) {
	super(context, attrs);
	setFont(context, attrs);
    }

    public ButtonCustom(Context context, AttributeSet attrs, int defStyle) {
	super(context, attrs, defStyle);
	setFont(context, attrs);
    }

    private void setFont(Context ctx, AttributeSet attrs) {
        TypedArray a = ctx.obtainStyledAttributes(attrs, R.styleable.CustomFont);
        String customFont = a.getString(R.styleable.CustomFont_font);
        setFont(ctx, customFont);
        a.recycle();
    }

    public boolean setFont(Context ctx, String asset) {
        Typeface tf = null;
        try {
        tf = Typeface.createFromAsset(ctx.getAssets(), asset);  
        } catch (Exception e) {
            Log.e(TAG, "Could not get typeface: "+e.getMessage());
            return false;
        }

        setTypeface(tf);  
        return true;
    }
}